.. role:: green List All Domains ================ **Type:** :guilabel:`GET` .. py:function:: https://cloud.syminet.com/api/v1/domains Return a paginated list of all domains. **Optional URL Parameters:** ?query=DOMAIN_NAME Filter on DOMAIN_NAME (partial match okay) ?page=PAGE_NUMBER Return page PAGE_NUMBER .. code-block:: shell :caption: Curl curl --request GET \ --url https://cloud.syminet.com/api/v1/domains \ --header "authorization:bearer $API_TOKEN" .. code-block:: json :caption: Response { "data" : [ { "created" : "2025-02-04 17:19:36.925397", "domain_name" : "example.com", "domain_uuid" : "7a709a87-9dfe-45f3-9f19-c57845ee53bc", "id" : 245, "perms" : "rw", "status" : "active", "user_id" : 1234 }, { "created" : "2025-02-06 10:22:36.925397", "domain_name" : "example2.com", "domain_uuid" : "776a6597-782d-4e92-b9c6-889b78a53f15", "id" : 247, "perms" : "rw", "status" : "active", "user_id" : 1234 } ], "page" : 1, "pages" : 1, "results" : 2 }